package com.bonus.canteen.core.supply.purchase.constants;

public enum DrpPurNoticeStatusEnum {
   SUCCESS(1, "成功"),
   ERROR(2, "失败"),
   WAITING_TO_SEND(3, "待发送");

   private final Integer key;
   private final String value;

   private DrpPurNoticeStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpPurNoticeStatusEnum[] enums = values();
      DrpPurNoticeStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpPurNoticeStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpPurNoticeStatusEnum[] enums = values();
      DrpPurNoticeStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpPurNoticeStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
